from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XTitled(XInterface, Protocol):
    def getTitleObject(self) -> XTitle: ...
    def setTitleObject(self, Title: XTitle) -> None: ...
